import React, { Component } from 'react';
import 'bootstrap/dist/css/bootstrap.min.css';
import LoginForm from './LoginForm.js';

class Main extends Component {
  constructor(props){
    super(props)
    this.state = {
      isUserLogedin: false,
      userInputs:{
        'email': '',
        'password':'',
        'rememberPass':false,
      }
    }
  }

  getEmail = (data) => {
    let userData = data.target.value;
    if (parseInt(userData[data.target.value.length-1],10)) {
    }else{
      let tmp_state = this.state;
      tmp_state.userInputs.email = userData;
      this.setState(tmp_state);
    }
 }
  getPassword = (data) => {
    let tmp_state = this.state;
    tmp_state.userInputs.password = data.target.value
    this.setState(tmp_state)
 }

  getRememberPass = (data) => {
    let tmp_state = this.state;
    tmp_state.userInputs.rememberPass = !tmp_state.userInputs.rememberPass
    this.setState(tmp_state)
 }

 postSignin = (data) => {
   let tmp_state = this.state;
   console.log(data);
 }

  render() {
    return (
      <div>
          <LoginForm
            email={this.state.userInputs.email}
            password={this.state.userInputs.password}
            rememberPass={this.state.userInputs.rememberPass}
            getEmail={this.getEmail}
            getPassword={this.getPassword}
            getRememberPass={this.getRememberPass}
            validationClass={this.validInput}
            postSignin={this.postSignin}

            />
      </div>
    );
  }
}

export default Main;
